radrails

概要

EclipseでRuby on Railsの開発をするための、Eclipseプラグインです。

Rubyが必要です。基本的なライブラリ(iconvなど)が揃っている必要があります。

ダウンロード

ダウンロードは必要ありません。

インストール

Eclipseのメイン画面にて、[Help(H)] - [Software Updates] - [Find and Install...]を実行し、ダイアログを出します。

ダイアログにて、[Search for new features to install]を選択して[Next]ボタンを押します。

次の画面では、[New Remote Site...]ボタンを押して、[Name]欄にはrad railsとか書いて、[URL]欄にはhttp://download.radrails.org/updateと入力してください。

OKボタンで戻ると、先ほど設定したものがリストに追加されているので、その項目にチェックを入れて、[Finish]を押してください。

あとは、画面の指示に従って適当に導入してください。

初期設定

使い方

プロジェクトの新規作成などで、Rails/Rails Projectが選択可能になる。

また、Railsパースペクティブが有効になる。Railsパースペクティブでは、MVC各モデルの追加などをGUIで簡単に行うことができる。

更に、Dataパースペクティブも有効になり、Railsで使用するデータベースの内容を見ることができる。

注意事項

Railsプロジェクトの操作

Railsプロジェクトの操作は、Railsパースペクティブでなければできない。ほかのパースペクティブでは、右クリックしてもMVCモデルの追加などが非表示になってしまい、操作できない。


トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2006-03-31 (金) 21:43:24 (5002d)